<?php

defined('BASEPATH') or exit('No direct script access allowed');

/*
 * Module: General Language File for common lang keys
 * Language: French
 *
 * Last edited:
 * 15th June 2017
 *
 * Package:
 * Stock Manage Advance v3.0
 *
 * You can translate this file to your language.
 * For instruction on new language setup, please visit the documentations.
 * You also can share your language files by emailing to saleem@tecdiary.com
 * Thank you
 */

/* --------------------- CUSTOM FIELDS ------------------------ */
/*
* Below are custom field labels
* Please only change the part after = and make sure you change the the words in between "";
* $lang['bcf1']                         = "Biller Custom Field 1";
* Don't change this                     = "You can change this part";
* For support email contact@tecdiary.com Thank you!
*/

$lang['bcf1'] = 'Facturier Custom Field 1';
$lang['bcf2'] = 'Facturier Custom Field 2';
$lang['bcf3'] = 'Facturier Custom Field 3';
$lang['bcf4'] = 'Facturier Custom Field 4';
$lang['bcf5'] = 'Facturier Custom Field 5';
$lang['bcf6'] = 'Facturier Custom Field 6';
$lang['pcf1'] = 'Produit Custom Field 1';
$lang['pcf2'] = 'Produit Custom Field 2';
$lang['pcf3'] = 'Produit Custom Field 3';
$lang['pcf4'] = 'Produit Custom Field 4';
$lang['pcf5'] = 'Produit Custom Field 5';
$lang['pcf6'] = 'Produit Custom Field 6';
$lang['ccf1'] = 'Client Custom Field 1';
$lang['ccf2'] = 'Client Custom Field 2';
$lang['ccf3'] = 'Client Custom Field 3';
$lang['ccf4'] = 'Client Custom Field 4';
$lang['ccf5'] = 'Client Custom Field 5';
$lang['ccf6'] = 'Client Custom Field 6';
$lang['scf1'] = 'Fournisseur Custom Field 1';
$lang['scf2'] = 'Fournisseur Custom Field 2';
$lang['scf3'] = 'Fournisseur Custom Field 3';
$lang['scf4'] = 'Fournisseur Custom Field 4';
$lang['scf5'] = 'Fournisseur Custom Field 5';
$lang['scf6'] = 'Fournisseur Custom Field 6';

/* ----------------- DATATABLES LANGUAGE ---------------------- */
/*
* Below are datatables language entries
* Please only change the part after = and make sure you change the the words in between "";
* 'sEmptyTable'                     => "No data available in table",
* Don't change this                 => "You can change this part but not the word between and ending with _ like _START_;
* For support email support@tecdiary.com Thank you!
*/

$lang['datatables_lang'] = [
    'sEmptyTable'     => 'No data available in table',
    'sInfo'           => 'Showing _START_ to _END_ of _TOTAL_ entries',
    'sInfoEmpty'      => 'Showing 0 to 0 of 0 entries',
    'sInfoFiltered'   => '(filtered from _MAX_ total entries)',
    'sInfoPostFix'    => '',
    'sInfoThousands'  => ',',
    'sLengthMenu'     => 'Show _MENU_ ',
    'sLoadingRecords' => 'Loading...',
    'sProcessing'     => 'Processing...',
    'sSearch'         => 'Search',
    'sZeroRecords'    => 'No matching records found',
    'oAria'           => [
        'sSortAscending'  => ': activate to sort column ascending',
        'sSortDescending' => ': activate to sort column descending',
    ],
    'oPaginate' => [
        'sFirst'    => '<< First',
        'sLast'     => 'Last >>',
        'sNext'     => 'Next >',
        'sPrevious' => '< Previous',
    ],
];

/* ----------------- Select2 LANGUAGE ---------------------- */
/*
* Below are select2 lib language entries
* Please only change the part after = and make sure you change the the words in between "";
* 's2_errorLoading'                 => "The results could not be loaded",
* Don't change this                 => "You can change this part but not the word between {} like {t};
* For support email support@tecdiary.com Thank you!
*/

$lang['select2_lang'] = [
    'formatMatches_s'         => 'Un résultat est disponible, appuyez sur Entrée pour le sélectionner.',
    'formatMatches_p'         => 'Les résultats sont disponibles, utilisez les flèches vers le haut et vers le bas pour naviguer.',
    'formatNoMatches'         => 'Aucun résultat',
    'formatInputTooShort'     => 'Tapez {n} ou plus de caractères',
    'formatInputTooLong_s'    => 'Supprimez {n} caractère ',
    'formatInputTooLong_p'    => 'Supprimez {n} caractères',
    'formatSelectionTooBig_s' => 'Vous ne pouvez sélectionner que {n} article',
    'formatSelectionTooBig_p' => 'Vous ne pouvez sélectionner que {n} articles',
    'formatLoadMore'          => 'En chargeant plus de résultats...',
    'formatAjaxError'         => 'La requête Ajax a échoué',
    'formatSearching'         => 'Recherche...',
];

/* ----------------- SMA GENERAL LANGUAGE KEYS -------------------- */

$lang['home']                             = 'Accueil';
$lang['dashboard']                        = 'Tableau de bord';
$lang['username']                         = 'Nom d&#39;utilisateur';
$lang['password']                         = 'Mot de passe';
$lang['first_name']                       = 'Prénom';
$lang['last_name']                        = 'Nom';
$lang['confirm_password']                 = 'Confirmez le mot de passe';
$lang['email']                            = 'Email';
$lang['phone']                            = 'Téléphone';
$lang['company']                          = 'Compagnie';
$lang['product_code']                     = 'Code produit';
$lang['product_name']                     = 'Nom du produit';
$lang['cname']                            = 'Nom du client';
$lang['barcode_symbology']                = 'Symbologie des codes à barres';
$lang['product_unit']                     = 'Unité de produit';
$lang['product_price']                    = 'Product Price';
$lang['contact_person']                   = 'Contact';
$lang['email_address']                    = 'Addresse Email ';
$lang['address']                          = 'Addresse';
$lang['city']                             = 'Cité';
$lang['today']                            = 'Aujourd&#39;hui';
$lang['welcome']                          = 'Bienvenue';
$lang['profile']                          = 'Profil';
$lang['change_password']                  = 'Changer le mot de passe';
$lang['logout']                           = 'Déconnecter';
$lang['notifications']                    = 'Notifications';
$lang['calendar']                         = 'Calendrier';
$lang['messages']                         = 'Messages';
$lang['styles']                           = 'Styles';
$lang['language']                         = 'Langue';
$lang['alerts']                           = 'Alertes';
$lang['list_products']                    = 'Liste des produits';
$lang['add_product']                      = 'Ajouter un produit';
$lang['print_barcodes']                   = 'Imprimer les codes à barres';
$lang['print_labels']                     = 'Imprimer les étiquettes';
$lang['import_products']                  = 'Importer les produits';
$lang['update_price']                     = 'Mettre à jour les prix';
$lang['damage_products']                  = 'Produit endommagé';
$lang['sales']                            = 'Ventes';
$lang['list_sales']                       = 'Liste des ventes';
$lang['add_sale']                         = 'Ajouter une vente ';
$lang['deliveries']                       = 'Livraisons';
$lang['gift_cards']                       = 'Cartes cadeaux';
$lang['quotes']                           = 'Devis';
$lang['list_quotes']                      = 'Liste de devis';
$lang['add_quote']                        = 'Ajouter un devis';
$lang['purchases']                        = 'Achats';
$lang['list_purchases']                   = 'Liste des achats';
$lang['add_purchase']                     = 'Ajouter un achat';
$lang['add_purchase_by_csv']              = 'Ajouter l&#39;achat par CSV';
$lang['transfers']                        = 'Transferts';
$lang['list_transfers']                   = 'Liste des transferts';
$lang['add_transfer']                     = 'Ajouter un transfert';
$lang['add_transfer_by_csv']              = 'Ajouter un transfert par CSV';
$lang['people']                           = 'Utilisateurs';
$lang['list_users']                       = 'Liste des utilisateurs';
$lang['new_user']                         = 'Ajouter un utilisateur';
$lang['list_billers']                     = 'Liste des facturiers';
$lang['add_biller']                       = 'Ajouter un facturier';
$lang['list_customers']                   = 'Liste des clients';
$lang['add_customer']                     = 'Ajouter un client';
$lang['list_suppliers']                   = 'Liste des fournisseurs';
$lang['add_supplier']                     = 'Ajouter un fournisseur';
$lang['settings']                         = 'Paramètres';
$lang['system_settings']                  = 'Les paramètres du système';
$lang['change_logo']                      = 'Changer Logo';
$lang['currencies']                       = 'Devises';
$lang['attributes']                       = 'Variantes de produit';
$lang['customer_groups']                  = 'Groupes de clients';
$lang['categories']                       = 'Catégories';
$lang['subcategories']                    = 'Sous-catégories';
$lang['tax_rates']                        = 'Les taux d&#39;imposition';
$lang['warehouses']                       = 'Warehouses';
$lang['email_templates']                  = 'Email Templates';
$lang['group_permissions']                = 'Autorisations de groupe';
$lang['backup_database']                  = 'Backup Base de données';
$lang['reports']                          = 'Rapports';
$lang['overview_chart']                   = 'Aperçu charte';
$lang['warehouse_stock']                  = 'Warehouse Stock Chart';
$lang['product_quantity_alerts']          = 'Alertes de quantité de produit';
$lang['product_expiry_alerts']            = 'Alertes d&#39;expiration du produit';
$lang['products_report']                  = 'Rapport sur les produits';
$lang['daily_sales']                      = 'Ventes quotidiennes';
$lang['monthly_sales']                    = 'Ventes mensuelles';
$lang['sales_report']                     = 'Rapport des ventes';
$lang['payments_report']                  = 'Rapport de paiements';
$lang['profit_and_loss']                  = 'Bénéfice et/ou Perte';
$lang['purchases_report']                 = 'Rapport des achats';
$lang['customers_report']                 = 'Rapport des clients';
$lang['suppliers_report']                 = 'Rapport des fournisseurs';
$lang['staff_report']                     = 'Rapport du personnel';
$lang['your_ip']                          = 'Votre adresse IP';
$lang['last_login_at']                    = 'Dernière connexion à';
$lang['notification_post_at']             = 'Notification postée à';
$lang['quick_links']                      = 'Liens rapides';
$lang['date']                             = 'Date';
$lang['reference_no']                     = 'Référence Numéro';
$lang['products']                         = 'Produits';
$lang['customers']                        = 'Clients';
$lang['suppliers']                        = 'Fournisseurs';
$lang['users']                            = 'Utilisateurs';
$lang['latest_five']                      = 'Dernières cinq';
$lang['total']                            = 'Total';
$lang['payment_status']                   = 'Statut de paiement';
$lang['paid']                             = 'Payé';
$lang['customer']                         = 'Clients';
$lang['status']                           = 'Status';
$lang['amount']                           = 'Montant';
$lang['supplier']                         = 'Fournisseur';
$lang['from']                             = 'De';
$lang['to']                               = 'à';
$lang['name']                             = 'Nom';
$lang['create_user']                      = 'Ajouter un utilisateur';
$lang['gender']                           = 'Genre';
$lang['biller']                           = 'Facturier';
$lang['select']                           = 'Sélectionner';
$lang['warehouse']                        = 'Warehouse';
$lang['active']                           = 'Actif';
$lang['inactive']                         = 'Inactif';
$lang['all']                              = 'Tous';
$lang['list_results']                     = 'Veuillez utiliser le tableau ci-dessous pour naviguer ou filtrer les résultats. Vous pouvez télécharger le tableau comme excel et pdf.';
$lang['actions']                          = 'Actions';
$lang['pos']                              = 'POS';
$lang['access_denied']                    = 'Accès refusé! Vous n&#39;avez pas le droit d&#39;accéder à la page demandée. Si vous pensez, c&#39;est par erreur, contactez l&#39;administrateur.';
$lang['add']                              = 'Ajouter';
$lang['edit']                             = 'Modifier';
$lang['delete']                           = 'Supprimer';
$lang['view']                             = 'Voir';
$lang['update']                           = 'Mettre à jour';
$lang['save']                             = 'Enregistrer';
$lang['login']                            = 'Connexion';
$lang['submit']                           = 'Soumettre';
$lang['no']                               = 'Non';
$lang['yes']                              = 'Oui';
$lang['disable']                          = 'Désactiver';
$lang['enable']                           = 'Activer';
$lang['enter_info']                       = 'Remplissez les informations ci-dessous. Les étiquettes de champs marquées avec * sont des champs de saisie requis.';
$lang['update_info']                      = 'Veuillez mettre à jour les informations ci-dessous. Les étiquettes de champs marquées avec * sont des champs de saisie requis.';
$lang['no_suggestions']                   = 'Impossible d&#39;obtenir des données pour des suggestions, vérifiez vos entrées';
$lang['i_m_sure']                         = 'Oui, je suis sûr';
$lang['r_u_sure']                         = 'Êtes-vous sûr?';
$lang['export_to_excel']                  = 'Exporter vers le fichier Excel';
$lang['export_to_pdf']                    = 'Exporter vers le fichier PDF';
$lang['image']                            = 'Image';
$lang['sale']                             = 'Vente';
$lang['quote']                            = 'Devis';
$lang['purchase']                         = 'Achat';
$lang['transfer']                         = 'Transfert';
$lang['payment']                          = 'Paiement';
$lang['payments']                         = 'Paiements';
$lang['orders']                           = 'Ordres';
$lang['pdf']                              = 'PDF';
$lang['vat_no']                           = 'Numéro de TVA';
$lang['country']                          = 'Pays';
$lang['add_user']                         = 'Ajouter un utilisateur';
$lang['type']                             = 'Type';
$lang['person']                           = 'Personne';
$lang['state']                            = 'Etat';
$lang['postal_code']                      = 'Code postal';
$lang['id']                               = 'ID';
$lang['close']                            = 'Fermer';
$lang['male']                             = 'Mâle';
$lang['female']                           = 'Femelle';
$lang['notify_user']                      = 'Notifier l&#39;utilisateur';
$lang['notify_user_by_email']             = 'Notifier l&#39;utilisateur par Email';
$lang['billers']                          = 'Facturiers';
$lang['all_warehouses']                   = 'Tous les Warehouses';
$lang['category']                         = 'Catégorie';
$lang['product_cost']                     = 'Coût du produit';
$lang['quantity']                         = 'Quantité';
$lang['loading_data_from_server']         = 'Chargement des données du serveur';
$lang['excel']                            = 'Excel';
$lang['print']                            = 'Imprimer';
$lang['ajax_error']                       = 'Une erreur Ajax est survenue, veuillez réessayer.';
$lang['product_tax']                      = 'Taxe sur les produits';
$lang['order_tax']                        = 'Taxe de commande';
$lang['upload_file']                      = 'Upload Fichier';
$lang['download_sample_file']             = 'Télécharger le fichier d&#39;exemple';
$lang['csv1']                             = 'La première ligne du fichier csv téléchargé devrait rester telle quelle. Ne modifiez pas l&#39;ordre des colonnes.';
$lang['csv2']                             = 'Le bon ordre des colonnes est';
$lang['csv3']                             = "&amp; Vous devez suivre ceci. <br> Assurez-vous que le fichier csv est codé par UTF-8 et qu&#39;il n&#39;est pas enregistré avec la marque de commande d'octet (BOM).";
$lang['import']                           = 'Importer';
$lang['note']                             = 'Note';
$lang['grand_total']                      = 'Grand Total';
$lang['download_pdf']                     = 'Télécharger en format PDF';
$lang['no_zero_required']                 = 'Le champ %s est requis';
$lang['no_product_found']                 = 'Aucun produit trouvé';
$lang['pending']                          = 'en attendant';
$lang['sent']                             = 'Envoyé';
$lang['completed']                        = 'Completé';
$lang['shipping']                         = 'Livraison';
$lang['add_product_to_order']             = 'Veuillez ajouter des produits à la liste des commandes';
$lang['order_items']                      = 'Articles commandés';
$lang['net_unit_cost']                    = 'Coût unitaire net';
$lang['net_unit_price']                   = 'Prix ​​unitaire net';
$lang['expiry_date']                      = 'Date d&#39;expiration';
$lang['subtotal']                         = 'Subtotal';
$lang['reset']                            = 'Réinitialiser';
$lang['items']                            = 'Articles';
$lang['au_pr_name_tip']                   = 'Commencez à taper un code / nom pour des suggestions ou simplement à numériser un code à barres';
$lang['no_match_found']                   = 'Aucun résultat correspondant trouvé! Le produit peut être en rupture de stock dans l&#39;entrepôt sélectionné.';
$lang['csv_file']                         = 'Fichier CSV';
$lang['document']                         = 'Joindre un document';
$lang['product']                          = 'Produit';
$lang['user']                             = 'Utilisateur';
$lang['created_by']                       = 'Créé par';
$lang['loading_data']                     = 'Chargement des données de table du serveur';
$lang['tel']                              = 'Tél';
$lang['ref']                              = 'Référence';
$lang['description']                      = 'Description';
$lang['code']                             = 'Code';
$lang['tax']                              = 'Impôt';
$lang['unit_price']                       = 'Prix ​​unitaire';
$lang['discount']                         = 'Remise';
$lang['order_discount']                   = 'Réduction de commande';
$lang['total_amount']                     = 'Montant total';
$lang['download_excel']                   = 'Télécharger comme Excel';
$lang['subject']                          = 'Sujet';
$lang['cc']                               = 'CC';
$lang['bcc']                              = 'BCC';
$lang['message']                          = 'Message';
$lang['show_bcc']                         = 'Afficher / Masquer BCC';
$lang['price']                            = 'Prix';
$lang['add_product_manually']             = 'Ajouter le produit manuellement';
$lang['currency']                         = 'Devise';
$lang['product_discount']                 = 'Réduction de produit';
$lang['email_sent']                       = 'Email envoyé avec succès';
$lang['add_event']                        = 'Ajouter un évènement';
$lang['add_modify_event']                 = 'Ajouter / Modifier l&#39;événement';
$lang['adding']                           = 'Ajout...';
$lang['delete']                           = 'Supprimer';
$lang['deleting']                         = 'Suppression...';
$lang['calendar_line']                    = 'Cliquez sur la date pour ajouter / modifier l&#39;événement.';
$lang['discount_label']                   = 'Remise (5/5%)';
$lang['product_expiry']                   = 'produit_expiration';
$lang['unit']                             = 'Unité';
$lang['cost']                             = 'Coût';
$lang['tax_method']                       = 'Méthode fiscale';
$lang['inclusive']                        = 'Inclusif';
$lang['exclusive']                        = 'Exclusif';
$lang['expiry']                           = 'Expiration';
$lang['customer_group']                   = 'Groupe de clients';
$lang['is_required']                      = 'est requis';
$lang['form_action']                      = 'Forme d&#39;action';
$lang['return_sales']                     = 'Ventes retournées';
$lang['list_return_sales']                = 'Liste de ventes retournées';
$lang['no_data_available']                = 'Pas de données disponibles';
$lang['disabled_in_demo']                 = 'Nous sommes désolés mais cette fonctionnalité est désactivée dans la démo.';
$lang['payment_reference_no']             = 'Numéro de référence de paiement';
$lang['gift_card_no']                     = 'Numéro de carte-cadeau';
$lang['paying_by']                        = 'Payé par';
$lang['cash']                             = 'Cash';
$lang['gift_card']                        = 'Carte-cadeau';
$lang['CC']                               = 'Carte de crédit';
$lang['cheque']                           = 'Chèque';
$lang['cc_no']                            = 'Numéro de carte de crédit';
$lang['cc_holder']                        = 'Nom du titulaire';
$lang['card_type']                        = 'Type de carte';
$lang['Visa']                             = 'Visa';
$lang['MasterCard']                       = 'MasterCard';
$lang['Amex']                             = 'Amex';
$lang['Discover']                         = 'Discover';
$lang['month']                            = 'Mois';
$lang['year']                             = 'Année';
$lang['cvv2']                             = 'CVV2';
$lang['cheque_no']                        = 'Numéro de chèque';
$lang['Visa']                             = 'Visa';
$lang['MasterCard']                       = 'MasterCard';
$lang['Amex']                             = 'Amex';
$lang['Discover']                         = 'Discover';
$lang['send_email']                       = 'Envoyer Email';
$lang['order_by']                         = 'Commandé par';
$lang['updated_by']                       = 'Mis à jour par';
$lang['update_at']                        = 'Mis à jour à';
$lang['error_404']                        = '404 Page non trouvée ';
$lang['default_customer_group']           = 'Groupe de clients par défaut';
$lang['pos_settings']                     = 'POS paramètres';
$lang['pos_sales']                        = 'POS ventes';
$lang['seller']                           = 'Vendeur';
$lang['ip:']                              = 'IP:';
$lang['sp_tax']                           = 'Taxe de produit vendue';
$lang['pp_tax']                           = 'Impôt sur les produits achetés';
$lang['overview_chart_heading']           = 'Aperçu des stocks, y compris les ventes mensuelles avec la taxe de produit et la taxe sur les commandes (colonnes), les achats (ligne) et la valeur actuelle des stocks par coût et prix (pie). Vous pouvez enregistrer le graphique sous jpg, png et pdf.';
$lang['stock_value']                      = 'Valeur de stock';
$lang['stock_value_by_price']             = 'Valeur de stock par prix';
$lang['stock_value_by_cost']              = 'Valeur de stock par coût';
$lang['sold']                             = 'Solde';
$lang['purchased']                        = 'Acheté';
$lang['chart_lable_toggle']               = 'Vous pouvez modifier le graphique en cliquant sur la légende du graphique. Cliquez sur n&#39;importe quelle légende ci-dessus pour l&#39;afficher / masquer dans l&#39;image.';
$lang['register_report']                  = 'Rapport de registre';
$lang['sEmptyTable']                      = 'Aucune donnée disponible dans la table';
$lang['upcoming_events']                  = 'Evènements à venir';
$lang['clear_ls']                         = 'Effacer toutes les données sauvegardées localement';
$lang['clear']                            = 'Effacer';
$lang['edit_order_discount']              = 'Modifier la commande de réduction';
$lang['product_variant']                  = 'Variante du produit';
$lang['product_variants']                 = 'Variantes de produit';
$lang['prduct_not_found']                 = 'Produit non trouvé';
$lang['list_open_registers']              = 'Liste des registres ouverts';
$lang['delivery']                         = 'Livraison';
$lang['serial_no']                        = 'Numéro de série';
$lang['logo']                             = 'Logo';
$lang['attachment']                       = 'Attachement';
$lang['balance']                          = 'Balance';
$lang['nothing_found']                    = 'Aucun enregistrements correspondants trouvés';
$lang['db_restored']                      = 'Base de données restaurée avec succès.';
$lang['backups']                          = 'Backups';
$lang['chart']                            = 'Charte';
$lang['received']                         = 'Reçu';
$lang['returned']                         = 'Returné';
$lang['award_points']                     = 'Award Points';
$lang['expenses']                         = 'Dépenses';
$lang['add_expense']                      = 'Ajouter des dépenses';
$lang['other']                            = 'Autre';
$lang['none']                             = 'Aucun';
$lang['calculator']                       = 'Calculateur';
$lang['updates']                          = 'Updates';
$lang['update_available']                 = 'Nouvelle mise à jour disponible, mettre à jour maintenant.';
$lang['please_select_customer_warehouse'] = 'Sélectionnez client / warehouse';
$lang['variants']                         = 'Variantes';
$lang['add_sale_by_csv']                  = 'Ajouter une vente par CSV';
$lang['categories_report']                = 'Categories Report';
$lang['adjust_quantity']                  = 'Ajuster la quantité';
$lang['quantity_adjustments']             = 'Réglages de quantité';
$lang['partial']                          = 'Partiel';
$lang['unexpected_value']                 = 'Valeur inattendue fournie!';
$lang['select_above']                     = 'Sélectionnez ci-dessus en premier';
$lang['no_user_selected']                 = 'Aucun utilisateur sélectionné, sélectionnez au moins un utilisateur';
$lang['sale_details']                     = 'Détails de vente';
$lang['due']                              = 'Dû';
$lang['ordered']                          = 'Commandé';
$lang['profit']                           = 'Bénéfice';
$lang['unit_and_net_tip']                 = 'Calculé sur l&#39;unité (avec impôts) et net (sans impôt) i.e <strong>Unité (nette)</strong> pour toutes les ventes';
$lang['expiry_alerts']                    = 'Alertes d&#39;expiration';
$lang['quantity_alerts']                  = 'Alertes de quantité';
$lang['products_sale']                    = 'Revenus de produits ';
$lang['products_cost']                    = 'Coût des produits';
$lang['day_profit']                       = 'Bénéfice journalier et / ou perte';
$lang['get_day_profit']                   = 'Vous pouvez cliquer sur la date pour obtenir le rapport de profit et / ou de perte du jour.';
$lang['combine_to_pdf']                   = 'Se combiner au pdf';
$lang['print_barcode_label']              = 'Imprimer le code à barres / l&#39;étiquette';
$lang['list_gift_cards']                  = 'Liste des cartes-cadeaux';
$lang['today_profit']                     = 'Bénéfice d&#39;aujourd&#39;hui';
$lang['adjustments']                      = 'Ajustements';
$lang['download_xls']                     = 'Télécharger comme XLS';
$lang['browse']                           = 'Choisir fichier ...';
$lang['transferring']                     = 'Transfert';
$lang['supplier_part_no']                 = 'Numéro de pièce fournisseur';
$lang['deposit']                          = 'Dépôt';
$lang['ppp']                              = 'Paypal Pro';
$lang['stripe']                           = 'Stripe';
$lang['amount_greater_than_deposit']      = 'Le montant est supérieur au dépôt de client, essayez à nouveau avec un montant inférieur à celui du dépôt de client.';
$lang['stamp_sign']                       = 'Timbre &amp; Signature';
$lang['product_option']                   = 'Variante du produit';
$lang['Cheque']                           = 'Chèque';
$lang['sale_reference']                   = 'Référence de vente';
$lang['surcharges']                       = 'Surcharges';
$lang['please_wait']                      = 'S&#39;il vous plaît, attendez...';
$lang['list_expenses']                    = 'Liste des dépenses';
$lang['deposit']                          = 'Dépôt';
$lang['deposit_amount']                   = 'Montant du dépôt';
$lang['return_purchases']                 = 'Achats de retour';
$lang['list_return_purchases']            = 'Liste des achats de retour';
$lang['expense_categories']               = 'Catégories de dépenses';
$lang['authorize']                        = 'Authorize.net';
$lang['expenses_report']                  = 'Rapport sur les dépenses';
$lang['expense_categories']               = 'Catégories de dépenses';
$lang['edit_event']                       = 'Modifier l&#39;événement';
$lang['title']                            = 'Titre';
$lang['event_error']                      = 'Le titre et le début sont requis';
$lang['start']                            = 'Début';
$lang['end']                              = 'Fin';
$lang['event_added']                      = 'Événement ajouté avec succès';
$lang['event_updated']                    = 'Événement mis à jour avec succès';
$lang['event_deleted']                    = 'Événement supprimé avec succès';
$lang['event_color']                      = 'Couleur de l&#39;événement';
$lang['toggle_alignment']                 = 'Toggle Alignement';
$lang['images_location_tip']              = 'Les images doivent être téléchargées dans le dossier <strong>uploads</strong> folder.';
$lang['this_sale']                        = 'Cette vente';
$lang['return_ref']                       = 'Référence de retour';
$lang['return_total']                     = 'Total de retour';
$lang['daily_purchases']                  = 'Achats quotidiens';
$lang['monthly_purchases']                = 'Achats mensuels';
$lang['reference']                        = 'Référence';
$lang['no_subcategory']                   = 'Aucune sous-catégorie';
$lang['returned_items']                   = 'Articles retournés';
$lang['return_payments']                  = 'Paiements retournés';
$lang['units']                            = 'Unités';
$lang['price_group']                      = 'Groupe de prix';
$lang['price_groups']                     = 'Groupes de prix';
$lang['no_record_selected']               = 'Aucun enregistrement sélectionné, sélectionnez au moins une rangée';
$lang['brand']                            = 'Marque';
$lang['brands']                           = 'Marques';
$lang['file_x_exist']                     = 'Système incapable de trouver le fichier, il peut être supprimé ou déplacé.';
$lang['status_updated']                   = 'Le statut a été mis à jour avec succès';
$lang['x_col_required']                   = 'Les premières %d colonnes sont requises et les autres sont facultatives.';
$lang['brands_report']                    = 'Rapport sur les marques';
$lang['add_adjustment']                   = 'Ajouter ajustement';
$lang['best_sellers']                     = 'Meilleures ventes';
$lang['adjustments_report']               = 'Rapport d&#39;ajustement';
$lang['stock_counts']                     = 'Comptes des stocks';
$lang['count_stock']                      = 'Compte du stock';
$lang['download']                         = 'Télécharger';
$lang['list_printers']                    = 'Liste des imprimantes';
$lang['add_printer']                      = 'Ajouter une imprimante';

$lang['please_select_these_before_adding_product'] = 'Veuillez les sélectionner avant d&#39;ajouter un produit';
