<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title><?= $page_title; ?></title>
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
    <style>
        html, body { background-color: #fff; color: #636b6f; font-family: 'Raleway', sans-serif; font-weight: 100; height: 100vh; margin: 0; }
        .full-height { height: 100vh; }
        .flex-center { align-items: center; display: flex; justify-content: center; }
        .position-ref { position: relative; }
        .top-right { position: absolute; right: 10px; top: 18px; }
        .content { text-align: center; }
        .title { font-size: 84px; }
        .links a { color: #636b6f; padding: 0 25px; font-size: 12px; font-weight: 600; letter-spacing: .1rem; text-decoration: none; text-transform: uppercase; }
        .m-b-md { margin-bottom: 30px; }
    </style>
</head>
<body>
    <div class="flex-center position-ref full-height">

        <div class="content">
            <div class="title m-b-md">
                <?= $msg ?? lang('site_offline'); ?>
            </div>

            <div class="links">
                <div class="m-b-md">
                    <a><?= $msg1 ?? lang('visit_us_later'); ?></a><br>
                </div>
                <?php if (!isset($msg1)) { ?>
                <a href="<?= site_url('/'); ?>"><?= lang('home'); ?></a>
                    <?= $this->sma->logged_in() ? '<a href="' . shop_url('orders') . '">' . lang('orders') . '</a>' : '<a href="' . site_url('login') . '">' . lang('login') . '</a>'; ?>
                    <?= ($this->sma->logged_in() && (!$this->sma->in_group('customer') && !$this->sma->in_group('customer'))) ? '<a href="' . site_url('admin') . '">' . lang('dashboard') . '</a>' : ''; ?>
                <?php } ?>
            </div>
        </div>
    </div>
</body>
</html>
